Go to advanced search

by m_rx
Wed May 28, 2014 10:48 am
Forum: Camera board
Topic: Qt 5.x and camera breaks for firmwares after 66e4e823e1d24f4
Replies: 12
Views: 4155

Re: Qt 5.x and camera breaks for firmwares after 66e4e823e1d

even better!

may i suggest enabling the workaround by placing

Code: Select all

# workaround to keep gstreamer happy with camera resolution reporting
options bcm2835-v4l2 gst_v4l2src_is_broken=1
in /etc/modprobe.d/bcm_v4l2_workaround.conf

i didn't have a modprobe ... line in my setup.
by m_rx
Wed May 28, 2014 9:51 am
Forum: Camera board
Topic: Qt 5.x and camera breaks for firmwares after 66e4e823e1d24f4
Replies: 12
Views: 4155

Re: Qt 5.x and camera breaks for firmwares after 66e4e823e1d

tested and working!

brilliant, brilliant, brilliant!!!
together with https://github.com/raspberrypi/linux/issues/463 this really makes my day!

THANK! YOU!

is there a slight chance you might post here again when it's gone into the mainstream kernel? ;-)
by m_rx
Tue May 27, 2014 7:55 am
Forum: Camera board
Topic: Qt 5.x and camera breaks for firmwares after 66e4e823e1d24f4
Replies: 12
Views: 4155

Re: Qt 5.x and camera breaks for firmwares after 66e4e823e1d

@fix gstreamer: if i could find the time, i would ...
@sarcastic name: i can well live with that :)

thanks a million! that will be great! :D :D :D
by m_rx
Tue May 27, 2014 7:27 am
Forum: Camera board
Topic: Qt 5.x and camera breaks for firmwares after 66e4e823e1d24f4
Replies: 12
Views: 4155

Re: Qt 5.x and camera breaks for firmwares after 66e4e823e1d

i completely understand. BUT, as gstreamer is a central component in video/camera software, the issue will cut off many users from camera/video and/or newer kernels. for the gstreamer guys the pi is just another platform. for us, gstreamer is _the_ tool for video/camera. (slightly exaggerating) Come...
by m_rx
Mon May 26, 2014 9:50 am
Forum: Camera board
Topic: Qt 5.x and camera breaks for firmwares after 66e4e823e1d24f4
Replies: 12
Views: 4155

Re: Qt 5.x and camera breaks for firmwares after 66e4e823e1d

That sounds reasonable. I had read about the gstreamer issue but didn't make the connection to Qt ...
Both Qt and gstreamer seem slow/ not very interested in this issue ...

Any way to make it work?
Maybe a "compat" mode for the v4l driver?
by m_rx
Mon May 26, 2014 8:47 am
Forum: Camera board
Topic: Qt 5.x and camera breaks for firmwares after 66e4e823e1d24f4
Replies: 12
Views: 4155

Qt 5.x and camera breaks for firmwares after 66e4e823e1d24f4

I'm developing a multimedia app under Qt 5.x which uses gstreamer-0.10. Previewing and capturing still images from the rpi-camera only works for me for firmwares up to and including 66e4e823e1d24f46fcc11a3cd6959a835ad6dc73 , which is 3.10.29 . i've tried qt 5.1.x and 5.2.x from http://twolife.be/ras...
by m_rx
Thu Apr 03, 2014 2:33 pm
Forum: Raspbian
Topic: eglfs support for qt 5.2.1 in jessie?
Replies: 0
Views: 2620

eglfs support for qt 5.2.1 in jessie?

i've successfully upgraded to jessie and got qt installed in version 5.2.1 (since today). but i cannot run qt applications via eglfs (no X, framebuffer/console only): pi@rpi ~/pbox/gbook $ ./gbook libEGL warning: DRI2: xcb_connect failed libEGL warning: DRI2: xcb_connect failed libEGL warning: GLX: ...
by m_rx
Thu Apr 03, 2014 1:54 pm
Forum: Raspbian
Topic: status of qt 5.2.x packages?
Replies: 2
Views: 988

Re: status of qt 5.2.x packages?

the qt dependencies are resolved!

now i'm having issues running qt-apps + demos from the console via eglfs:

Code: Select all

libEGL warning: DRI2: xcb_connect failed
libEGL warning: DRI2: xcb_connect failed
libEGL warning: GLX: failed to load GLX
Could not initialize egl display

EGL error
by m_rx
Thu Apr 03, 2014 6:12 am
Forum: Raspbian
Topic: status of qt 5.2.x packages?
Replies: 2
Views: 988

status of qt 5.2.x packages?

i've seen the packages for qt 5.2.0 and .1 in jessie/testing but fail to install a complete setup. having installed qt5-default (which selects 5.2.1) i can't install eg libdeclarative5 due to dependency issues: qtdeclarative5-dev : depends on: libqt5qml5 (= 5.2.0-8+rpi1) which can't be installed ......
by m_rx
Fri Dec 13, 2013 9:25 am
Forum: Camera board
Topic: Official V4L2 driver
Replies: 557
Views: 461993

Re: Official V4L2 driver

I've tried to "apt-get update + upgrade" twice and bricked 2 sdcard( image)s: i don't even get the color-square (not to speak of the raspberry) when rebooting!! it seems to break when trying to do something on the emergency image in /boot. also, running hexxeh's rpi-update afterwards doesn't restore...

Go to advanced search